Package Details: mozillavpn 2.3.0-1

Git Clone URL: https://aur.archlinux.org/mozillavpn.git (read-only, click to copy)
Package Base: mozillavpn
Description: A fast, secure and easy to use VPN. Built by the makers of Firefox.
Upstream URL: https://vpn.mozilla.org/
Licenses: GPL
Conflicts: mozilla-vpn-client
Replaces: mozilla-vpn-client
Submitter: tavianator
Maintainer: None
Last Packager: XavierCLL
Votes: 11
Popularity: 3.01
First Submitted: 2021-01-13 02:38
Last Updated: 2021-06-09 02:40

Dependencies (12)

Required by (0)

Sources (2)

Latest Comments

1 2 3 4 Next › Last »

CK76 commented on 2021-06-13 14:44

Hi there, I tried to install from pamac. There it shows a conflict with mozilla-vpn-client. Does that matter?

lparcq commented on 2021-06-13 09:20

Since last update 2.3.0-1, it continuously stops with message "mozillavpn linuxdaemon needs to be updated or restarted". Is there any known issue?

jhorcl commented on 2021-06-11 17:26

@DarkThoughts: The Ubuntu build contains the service file.

This is because they use mozillavpn_2.3.0-<distro>.debian.tar.xz and mozillavpn_2.3.0.orig.tar.gz and combine them.

DarkThoughts commented on 2021-06-11 03:38

@slabz that is what I did though.

slabz commented on 2021-06-10 14:26

@DarkThoughts you need to run the mozillavpn linuxdaemon as root. If I run it without sudo I see the same error as you, but when I run with sudo, it works.

DarkThoughts commented on 2021-06-10 10:29

@slabz that throws a "Background service error" message when I try to toggle the VPN connection.

slabz commented on 2021-06-10 04:56

n00b user here. I don't know how to fix the service but if you just want to get it working, you can run sudo mozillavpn linuxdaemon in one terminal, then mozillavpn in a second terminal and things work.

DarkThoughts commented on 2021-06-09 18:49

Anyone know how Mozilla handled this themselves on the official Ubuntu build? Is it broken there as well?

XavierCLL commented on 2021-06-09 02:43

I added the systemd service and try to fix it but it still doesn't work, if anyone finds the fix, push it.

tavianator commented on 2021-06-07 15:58

@DarkThoughts The old versions are still in the git history of this package, e.g. git checkout de6d5e2120df will get you 2.1.0.